#ifndef WSJTX_CONFIG_H__
#define WSJTX_CONFIG_H__

#ifdef __cplusplus
extern "C"  {
#endif

#ifndef TO_STRING__
#define TO_STRING_IMPL__(x) #x
#define TO_STRING__(x) TO_STRING_IMPL__(x)
#endif

#define PROJECT_VERSION_MAJOR 2
#define PROJECT_VERSION_MINOR 3
#define PROJECT_VERSION_PATCH 1
#define PROJECT_VERSION_TWEAK 0
#define BUILD_TYPE_REVISION ""

#define CMAKE_INSTALL_DATAROOTDIR "share"
#define CMAKE_INSTALL_DOCDIR "share/doc/wsjtx"
#define CMAKE_INSTALL_DATADIR "share"
#define CMAKE_PROJECT_NAME "wsjtx"
#define PROJECT_VENDOR "Joe Taylor, K1JT"
#define PROJECT_NAME "wsjtx"
#define PROJECT_COPYRIGHT "Copyright (C) 2001-2021 by Joe Taylor, K1JT"
#define PROJECT_MANUAL "wsjtx-main"
#define PROJECT_HOMEPAGE "https://www.physics.princeton.edu/pulsar/K1JT/wsjtx.html"
#define PROJECT_MANUAL_DIRECTORY_URL "https://www.physics.princeton.edu/pulsar/K1JT/wsjtx-doc/"
#define PROJECT_SAMPLES_URL "http://downloads.sourceforge.net/project/wsjt/"
#define PROJECT_DESCRIPTION "WSJT-X: Digital Modes for Weak Signal Communications in Amateur Radio"

#define HAVE_HAMLIB_OLD_CACHING 0
#define HAVE_HAMLIB_CACHING 1

#define WSJT_SHARED_RUNTIME 0
#define WSJT_SOFT_KEYING 1
#define WSJT_ENABLE_EXPERIMENTAL_FEATURES 0
#define WSJT_RIG_NONE_CAN_SPLIT 0
#define WSJT_TRACE_UDP 0

/* consistent UNICODE behaviour */
#ifndef UNICODE
#	undef _UNICODE
#else
#	ifndef _UNICODE
#		define _UNICODE
#	endif
#endif

  /* typedef for consistent gfortran ABI for charlen type hidden arguments */
#if __GNUC__ > 7
#ifdef __cplusplus
#include <cstddef>
#else
#include <stddef.h>
#endif
  typedef size_t fortran_charlen_t;
#else
  typedef int fortran_charlen_t;
#endif

#ifdef __cplusplus
}
#endif

#endif
